@use "sass:list";
@use "../partials/palette";

h1,
.h1 {
  font-family: "SpaceGrotesk";
  font-weight: 700;
  font-size: 3.5rem;
  line-height: 1.2;
  letter-spacing: -0.02em;
}

h2,
.h2 {
  font-family: "SpaceGrotesk";
  font-weight: 700;
  font-size: 1.375rem;
  line-height: 1.5;
  letter-spacing: -0.02em;
}

h3,
.h3 {
  font-family: "SpaceGrotesk";
  font-weight: 700;
  font-size: 1.375rem;
  line-height: 1.5;
  letter-spacing: -0.02em;
}

h4,
.h4 {
  font-family: "Inter";
  font-weight: 600;
  font-size: 1.25rem;
  line-height: 1.2;
}

h5,
.h5 {
  font-family: "Inter";
  font-weight: 600;
  font-size: 1.125rem;
  line-height: 1.2;
  margin-bottom: .75rem;
}

label,
.label,
p,
a,
header a {
  font-family: "Inter";
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5;

  &.large {
    font-size: 1.125rem;
  }

  &.bold {
    font-weight: 600;
  }
}

h5 + p,
.h5 + p,
h5 + .p, 
.h5 + .p {
  margin-bottom: 1.5rem;
}

.btn {
  font-family: "Inter";
  font-weight: 600;
  font-size: 1rem;
  line-height: 1.5;
}

a {
  color: list.nth(palette.$purple, 7);
  text-decoration: underline;
  &:hover,
  &:active {
    text-decoration: none;
  }
}

small,
.small {
  font-family: "Inter";
  font-weight: 400;
  font-size: 0.875rem;
  line-height: 1.5;
}

.tiny {
  font-family: "Inter";
  font-weight: 400;
  font-size: 0.75rem;
  line-height: 1.5;
  &.bold {
    font-weight: 600;
  }
}

.bold {
  font-weight: 600;
}
